/*
 * Copyright (c) NanoDefine project. All rights reserved.
 * Licensed under the MIT License. See LICENSE file in the project root for full license
 * information.
 */

package eu.nanodefine.etool.constants;

import org.springframework.stereotype.Component;

/**
 * Constant collection for performance attributes.
 */
@Component("PA")
public class PerformanceAttributes {

	/*
	 * TODO Criterion category
	 */
	public static final String TECHNIQUE_SIGNIFIER = "technique_signifier";

	public static final String MATERIAL_SIGNIFIER = "material_signifier";

	/*
	 * TODO Criterion category
	 */
	public static final String TRADE_FORM = "trade_form";

	public static final String PREPARATION = "preparation";

	public static final String DISPERSION_MEDIUM = "dispersion_medium";

	/*
	 * TODO Criterion category
	 */
	public static final String DISPERSIBILITY = "dispersibility";

	public static final String CHEMICAL_COMPOSITION = "chemical_composition";

	public static final String COMPOSITES = "composites";

	public static final String DIMENSIONS = "dimensions";

	public static final String SHAPE = "shape";

	public static final String ANALYSIS_TEMPERATURE = "analysis_temperature";

	public static final String ELECTRON_BEAM = "electron_beam";

	public static final String POLYDISPERSITY = "polydispersity";

	public static final String MULTIMODALITY = "multimodality";

	public static final String CONDUCTIVITY = "conductivity";

	public static final String MAGNETISM = "magnetism";

	public static final String FUNCTIONALISATION = "functionalisation";

	public static final String LIGHT_ABSORPTION = "light_absorption";

	public static final String FLUORESCENCE = "fluorescence";

	public static final String AGGREGATION = "aggregation";

	public static final String AGGLOMERATION = "agglomeration";

	public static final String RELEASE_IAM = "release_iam";

	/*
	 * TODO Criterion category
	 */
	public static final String TIER = "tier";

	public static final String PURPOSE = "purpose";

	public static final String DISCLAIMER = "disclaimer";

	public static final String MULTICONSTITUENT = "multiconstituent";

	public static final String SPECIFIC_TECHNIQUE = "specific_technique";

	public static final String WR_SIZE_RANGE = "wr_size_range";

	public static final String WR_CONCENTRATION_RANGE_TYPE = "wr_concentration_range_type";

	public static final String WR_CONCENTRATION_RANGE = "wr_concentration_range";

	public static final String WR_MINIMUM_SAMPLE_TYPE = "wr_minimum_sample_type";

	public static final String WR_MINIMUM_SAMPLE = "wr_minimum_sample";

	public static final String WR_LINEAR_PROPORTIONAL_SIZE = "wr_linear_proportional_size";

	public static final String WR_LINEAR_PROPORTIONAL_CONCENTRATION = "wr_linear_proportional_concentration";

	public static final String WR_DETECTION_QUANTIFICATION_LIMIT = "wr_detection_quantification_limit";

	public static final String WR_SENSITIVITY = "wr_sensitivity";

	public static final String TRUENESS = "trueness";

	public static final String WEIGHTING_TRUENESS = "weighting_trueness";

	public static final String ROBUSTNESS = "robustness";

	public static final String PRECISION_TYPE = "precision_type";

	public static final String PRECISION = "precision";

	public static final String RESOLUTION_TYPE = "resolution_type";

	public static final String RESOLUTION = "resolution";

	public static final String SIZE_DISTRIBUTION = "size_distribution";

	public static final String PRESENCE = "presence";

	public static final String SL_DISCR_NNP_SAME = "sl_discr_nnp_same";

	public static final String SL_DISCR_NNP_SAME_ROBUSTNESS = "sl_discr_nnp_same_robustness";

	public static final String SL_DISCR_NNP_DIFF = "sl_discr_nnp_diff";

	public static final String SL_DISCR_NNP_DIFF_ROBUSTNESS = "sl_discr_nnp_diff_robustness";

	public static final String SL_DISCR_NP_DIFF = "sl_discr_np_diff";

	public static final String SL_DISCR_NP_DIFF_ROBUSTNESS = "sl_discr_np_diff_robustness";

	public static final String MEASUREMENT_AGGR = "measurement_aggr";

	public static final String MEASUREMENT_AGGL = "measurement_aggl";

	public static final String MEASUREMENT_INDIVIDUAL_PARTICLE = "measurement_individual_particle";

	public static final String CONSTITUENT_PARTICLE_COUNTING_AGGR = "constituent_particle_counting_aggr";

	public static final String CONSTITUENT_PARTICLE_COUNTING_AGGL = "constituent_particle_counting_aggl";

	public static final String COMPOSITION = "composition";

	public static final String SIZE_TYPE = "size_type";

	public static final String DATA_FORMAT = "data_format";

	public static final String DESTRUCTIVE = "destructive";

	public static final String OS_VACUUM = "os_vacuum";

	public static final String OS_SAMPLE_SUPPORT = "os_sample_support";

	/*
	 * Economic performance criteria.
	 */
	public static final String DIRECT_COUNTING = "direct_counting";

	public static final String CONVERTIBILITY = "convertibility";

	public static final String FULL_SIZE_RANGE = "full_size_range";

	public static final String UPPER_SIZE = "upper_size";

	public static final String LOWER_SIZE = "lower_size";

	public static final String SMALLEST_PARTICLE_DIMENSION = "smallest_particle_dimension";

	public static final String PRIMARY_PARTICLE_ACCESS_AGGR = "primary_particle_access_aggr";

	public static final String PRIMARY_PARTICLE_ACCESS_AGGL = "primary_particle_access_aggl";

	public static final String AVAILABILITY = "availability";

	public static final String STANDARD = "standard";

	public static final String REFERENCE = "reference";

	public static final String EOT_PREPARATION = "eot_preparation";

	public static final String EOT_MEASUREMENT = "eot_measurement";

	public static final String EOT_REDUCTION = "eot_reduction";

	public static final String EOT_TOTAL = "eot_total";

	public static final String COST_INSTRUMENT = "cost_instrument";

	public static final String COST_ANALYSIS = "cost_analysis";

	public static final String COST_EFFICIENCY = "cost_efficiency";

	public static final String EXPERTISE = "expertise";

	public static final String HYPHENATION = "hyphenation";

	public static final String VACUUM = "vacuum";

	public static final String SAMPLE_SUPPORT = "sample_support";

	public static final String DEGRADATION = "degradation";
}
